// Version
#define VIP_VERSION "1.3"

// Flags
#define VIP_A    (1<<0)     /* flag "a" */
#define VIP_B    (1<<1)     /* flag "b" */
#define VIP_C    (1<<2)     /* flag "c" */
#define VIP_D    (1<<3)     /* flag "d" */
#define VIP_E    (1<<4)     /* flag "e" */
#define VIP_F    (1<<5)     /* flag "f" */
#define VIP_G    (1<<6)     /* flag "g" */
#define VIP_H    (1<<7)     /* flag "h" */
#define VIP_I    (1<<8)     /* flag "i" */
#define VIP_J    (1<<9)     /* flag "j" */
#define VIP_K    (1<<10)    /* flag "k" */
#define VIP_L    (1<<11)    /* flag "l" */
#define VIP_M    (1<<12)    /* flag "m" */
#define VIP_N    (1<<13)    /* flag "n" */
#define VIP_O    (1<<14)    /* flag "o" */
#define VIP_P    (1<<15)    /* flag "p" */
#define VIP_Q    (1<<16)    /* flag "q" */
#define VIP_R    (1<<17)    /* flag "r" */
#define VIP_S    (1<<18)    /* flag "s" */
#define VIP_T    (1<<19)    /* flag "t" */
#define VIP_U    (1<<20)    /* flag "u" */
#define VIP_V    (1<<21)    /* flag "v" */
#define VIP_W    (1<<22)    /* flag "w" */
#define VIP_X    (1<<23)    /* flag "x" */
#define VIP_Y    (1<<24)    /* flag "y" */
#define VIP_Z    (1<<25)    /* flag "z" */ 

// Max Flags
#define VIP_MAX_FLAGS 26

// Natives
/*
* Description:	This will get player flags as a bitflag sum.
*
* @param id		Client index.
*
* @return		Flags player have, as bitflag sum or if only one flag return just this this flag
*				VIP_Z if this player not VIP
*
* @note 		For example if player have VIP_A and VIP_B the return will be: VIP_A | VIP_B
*  		 		The use of this native is same as get_user_flags() in AMXMODX
* 		 		To check if this player has VIP_A or not: ze_get_vip_flags(id) & VIP_A
*/
native ze_get_vip_flags(id)

/*
* Description:	To give player specific flag.
*
* @param id		Client index.
* @param iFlags Flags as bit sum.
*
* @noreturn
*
* @note 		To give player VIP_A and VIP_B: ze_set_vip_flags(id, VIP_A|VIP_B)
*  		 		Or you can use: ze_set_vip_flags(id, read_flags("ab"))
*/
native ze_set_vip_flags(id, iFlags)

/*
* Description:	Check if user VIP or not.
*
* @param id		Client index.
*
* @return		true  | If user have any of vip flags or some flags
* 		 		false | If user does not have any VIP flas, his flag is Z (Non-VIP)
*
* @note 		This native does not throw error in case of player not in server,
* 		 		so you should check if user connected or not before using it.
*/
native ze_is_user_vip(id)